Package Halberd :: Module clientlib :: Class HTTPSClient |
[show private | hide private]
[frames | no frames]

## Class HTTPSClient

    HTTPClient --+
                 |
                HTTPSClient

Special-purpose HTTPS client.

Method Summary
| ``__init__`(self)` Initializes the object.
Inherited from HTTPClient
| ``__del__`(self)`
`tuple` | ``getHeaders`(self, address, urlstr)` Talk to the target webserver and fetch MIME headers.

Instance Variable Summary
Inherited from HTTPClient
`int` | `bufsize`: Buffer size for network I/O.
`str` | `template`: Template of the HTTP request to be sent to the target.
`float` | `timeout`: Timeout for socket operations (expressed in seconds).

Method Details

### __init__(self) (Constructor) Initializes the object. Overrides: `Halberd.clientlib.HTTPClient.__init__` (inherited documentation)

Generated by Epydoc 2.1 on Thu Aug 24 19:08:31 2006 | http://epydoc.sf.net